---
title: Element.tabStop
slug: Web/API/Element/tabStop
tags:
  - API
  - DOM
  - Element
  - NeedsExample
  - Non-standard
  - Obsolete
  - Property
  - Reference
---
<p>{{APIRef("DOM")}}{{non-standard_header}}{{obsolete_header}}</p>

<p>The <strong><code>tabStop</code></strong> property of the {{domxref("Element")}} interface returns a {{jsxref("Boolean")}} indicating if the element can receive input focus via the tab key. If the specified element is a shadow host tab navigation is delegated to its children.</p>

<p>This property was proposed to add tab functionality for Custom Elements. While with the existing {{domxref("HTMLElement.tabIndex", "tabIndex")}} property, it is required to specify an order for the element to become tabbable. The <code>tabStop</code> property would decouple the tabbable property from the tab index. After feedback, this property was removed from the <a href="https://docs.google.com/document/d/1k93Ez6yNSyWQDtGjdJJqTBPmljk9l2WS3JTe5OHHB50/edit">design doc</a> and replaced by {{domxref("ShadowRoot.delegatesFocus")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var isTabStop = element.tabStop;
element.tabStop = (true|false);
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">// TBD</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Element.tabStop")}}</p>
